#!/bin/sh
brctl delif br0 eth1
ifconfig br0 down
ifconfig eth1 10.10.10.250 up

##flush iptables
iptables -F
iptables -t nat -F
iptables -X
iptables -t nat -X
iptables -P INPUT DROP
iptables -P OUTPUT DROP
iptables -P FORWARD DROP
iptables -t nat -P PREROUTING DROP
iptables -t nat -P POSTROUTING DROP
## Open H.225 PORTS
iptables -A FORWARD -p tcp -m multiport --dports 1720,1731,1503,389,522 -m state --state NEW,ESTABLISHED -j ACCEPT
iptables -A FORWARD -p tcp -m multiport --sports 1720,1731,1503,389,522 -m state --state ESTABLISHED,RELATED -j ACCEPT
iptables -t nat -A PREROUTING -p tcp -m multiport --dports 1720,1731,1503,389,522 -m state --state NEW,ESTABLISHED,RELATED -j ACCEPT
iptables -t nat -A POSTROUTING -p tcp -m multiport --dports 1720,1731,1503,389,522 -m state --state NEW,ESTABLISHED,RELATED -j MASQUERADE

iptables -A FORWARD -p tcp --sport 1024: --dport 1024: -m state --state ESTABLISHED,RELATED -j ACCEPT
iptables -A FORWARD -p udp --sport 1024: --dport 1024: -m state --state ESTABLISHED,RELATED -j ACCEPT

# For masquerading
iptables -t nat -A POSTROUTING -p udp -m state --state ESTABLISHED,RELATED -j MASQUERADE

# For testing
iptables -t nat -A PREROUTING -p icmp -i nas+ -j DNAT --to 10.10.10.32
iptables -A FORWARD -p icmp -j ACCEPT
iptables -t nat -A POSTROUTING -p icmp -j ACCEPT

#DNAT rules:
#iptables -t nat -A POSTROUTING -o eth1 -j MASQUERADE
#iptables -t nat -A PREROUTING -i eth1 -p tcp --sport 20:21 -j DNAT --to-destination 192.168.0.2
#iptables -t nat -A PREROUTING -i eth1 -p tcp --dport 20:21 -j DNAT --to-destination 192.168.0.2

##start Qdisc
## eth1
#tc qdisc add dev eth1 root handle 1:0 cbq bandwidth 2Mbit avpkt 1000 cell 8
#tc class add dev eth1 parent 1:0 classid 1:1 cbq bandwidth 2Mbit rate 2Mbit weight 0.2Mbit prio 8 allot 1514 cell 8 maxburst 20 avpkt 1000 bounded
#tc class add dev eth1 parent 1:1 classid 1:3 cbq bandwidth 2Mbit rate 1Mbit weight 0.1Mbit prio 5 allot 1514 cell 8 maxburst 20 avpkt 1000
#tc class add dev eth1 parent 1:1 classid 1:4 cbq bandwidth 2Mbit rate 1Mbit weight 0.1Mbit prio 5 allot 1514 cell 8 maxburst 20 avpkt 1000
#tc qdisc add dev eth1 parent 1:3 handle 30:0 sfq
#tc qdisc add dev eth1 parent 1:4 handle 40:0 sfq
#tc filter add dev eth1 parent 1:0 protocol ip prio 1 u32 match u32 0x01000000 0xfffffff at 128 flowid 1:3
#tc filter add dev eth1 parent 1:0 protocol ip prio 2 u32 match u32 0x02000000 0xfffffff at 128 flowid 1:4
# eth0
#tc qdisc add dev eth0 root handle 1:0 cbq bandwidth 2Mbit avpkt 1000 cell 8
#tc class add dev eth0 parent 1:0 classid 1:1 cbq bandwidth 2Mbit rate 2Mbit weight 0.2Mbit prio 8 allot 1514 cell 8 maxburst 20 avpkt 1000 bounded
#tc class add dev eth0 parent 1:1 classid 1:3 cbq bandwidth 2Mbit rate 1Mbit weight 0.1Mbit prio 5 allot 1514 cell 8 maxburst 20 avpkt 1000
#tc class add dev eth0 parent 1:1 classid 1:4 cbq bandwidth 2Mbit rate 1Mbit weight 0.1Mbit prio 5 allot 1514 cell 8 maxburst 20 avpkt 1000
#tc qdisc add dev eth0 parent 1:3 handle 30:0 sfq
#tc qdisc add dev eth0 parent 1:4 handle 40:0 sfq
#tc filter add dev eth0 parent 1:0 protocol ip prio 1 u32 match u32 0x01000000 0xfffffff at 128 flowid 1:3
#tc filter add dev eth0 parent 1:0 protocol ip prio 2 u32 match u32 0x02000000 0xfffffff at 128 flowid 1:4
