#!/bin/sh
DIR_UP="/ramdisk/upgrade/pgm"
DIR_PKG=$DIR_UP"/tmp"
FILE_INFO=$DIR_PKG"/versionInfo.status"
FILE_RES=$DIR_UP"/bin_result"
BIN_WRITE="/usr/sbin/upgrade"

# ARG1 :  image name
# ARG2 :  direction (Forward:0, Backward:1)
# ARG3 :  save envcopy


if [ "$1" = "" -o ! -f $FILE_INFO ] ; then
	echo 2 > $FILE_RES
	exit 1
fi

. $FILE_INFO
ARG3=1
if [ "$1" = "ROOTFS" ] ; then
	ARG1=rootfs
	ARG2=0
	PKG_NAME="$DIR_PKG"/"$ROOTFS_FILENAME"
	PKG_SUM="$ROOTFS_CHECKSUM"
	rm -f /configs/etc/write_log
fi
if [ "$1" = "KERNEL" ] ; then
	ARG1=kernel
	ARG2=1
	PKG_NAME="$DIR_PKG"/"$KERNEL_FILENAME"
	PKG_SUM="$KERNEL_CHECKSUM"
fi
if [ "$1" = "BOOT" ] ; then
	ARG1=uboot
	ARG2=0
	PKG_NAME="$DIR_PKG"/"$UBOOT_FILENAME"
	PKG_SUM="$BOOT_CHECKSUM"
fi
if [ "$1" = "FIRMWARE" ] ; then
	ARG1=firmware
	ARG2=0
	PKG_NAME="$DIR_PKG"/"$FIRMWARE_FILENAME"
	PKG_SUM="$FIRMWARE_CHECKSUM"
fi

echo "$BIN_WRITE $PKG_NAME $ARG1 $ARG2 $ARG3 " >> /configs/etc/write_log
echo "$BIN_WRITE $PKG_NAME $ARG1 $ARG2 $ARG3 " 
date >> /configs/etc/write_log
$BIN_WRITE $PKG_NAME $ARG1 $ARG2 $ARG3 
RV=$? 
date >> /configs/etc/write_log
echo "RV = $RV" >> /configs/etc/write_log
echo >> /configs/etc/write_log
if [ "$RV" != "0" ] ; then
	echo 1 > $RES_FILE
fi
exit $RV
